# Prefix for JONAS_BASE directories
jonas.base.defaultprefix=jb

#Drivers directory
drivers.dir=jc.config/lib

#Cluster architecture :
# bothWebEjb      : both web and ejb services and each instance
# diffWebEjb : dedicates instances to web level and separated instances to ejb level
cluster.architecture.default=diffWebEjb

#Cluster architecture :
# nodes name      : prefix of the node names
cluster.nodesName=node

#Cluster daemon configuration
cluster.daemon.name=cd
cluster.daemon.protocol=jrmp
cluster.daemon.port=1806
cluster.daemon.dir=cd
#enable this to set JAVA_HOME of the cluster daemon
#cluster.daemon.jdk=/usr/java/jdk/sun/current-1.5
cluster.daemon.interactionMode=loosely-coupled
cluster.daemon.autoBoot=false
cluster.daemon.xprm=-Djava.net.preferIPv4Stack=true

#Services
jonas.web.services=registry,jmx,jtm,security,cmi,jaxrpc,web,ear,depmonitor,discovery
jonas.ejb.services=registry,jmx,jtm,db,security,resource,cmi,ha,ejb2,ejb3,ear,depmonitor,discovery
jonas.full.services=registry,jmx,jtm,db,security,resource,cmi,ha,ejb2,ejb3,jaxrpc,jaxws,web,ear,depmonitor,discovery

#Jms
jms.portrange=16010,16020,16030,16040
jms.topics=sampleTopic,InvoiceTopic
jms.queues=sampleQueue,OrderApprovalQueue,OrdersQueue,MailCompletedOrderQueue,SupPurchaseOrderQueue,MailOrderApprovalQueue,MailQueue

#Carol
carol.portrange=2002,2022,2032,2043
carol.defaultprotocol=jrmp
carol.jrmpopt=false

# Cmi service
cmi.mcastaddr=224.0.0.35
cmi.mcastport=35467

# Ha service
ha.mcastaddr=224.0.0.36
ha.mcastport=35468

#Web
webcontainer.httpportrange=9000,9200,9300,9400
webcontainer.ajpportrange=9010,9011,9012,9013
webcontainer.stickysession=false
webcontainer.mod_jkenabled=true
webcontainer.mod_jk.dir=conf/jk
webcontainer.mod_jk.lbfactorrange=1,1,1,1
webcontainer.directorenabled=false
webcontainer.directorportrange=9996,9997,9998,9999
webcontainer.director.lbfactorrange=1,1,1,1
webcontainer.director.dir=director
webcontainer.cluster.name=myTomcatCluster
webcontainer.cluster.mcastaddr=228.0.0.4
webcontainer.cluster.mcastport=45564
webcontainer.cluster.listenportrange=4003,4004,4005,4006
# Enable ondemand on web instances
webinstances.ondemandenabled=true
webinstances.ondemand.redirectport=0

#disable development mode on web instances.
webinstances.devmodeenabled=false
#enable development mode for depmonitor on ejb instances.
webinstances.depmonitor.devmodeenabled=true

#Tomcat
webcontainer.service.defaultname=tomcat

#disable ondemand on ejb instances
ejbinstances.ondemandenabled=false
#disable development mode on ejb instances.
ejbinstances.devmodeenabled=false
#enable development mode for depmonitor on ejb instances.
ejbinstances.depmonitor.devmodeenabled=true

#Director
director.lib.jarfile=tomcat5.5-director.jar

#Discovery service
discovery.sourceportrange=-1,-1,-1,-1
discovery.greetingportrange=9899,9900,9901,9902
discovery.mcastaddr=224.224.224.224
discovery.mcastport=9080
discovery.domainName=sampleClusterDomain
discovery.domainDesc=A domain for management of cluster examples.
discovery.clusterName=mycluster
discovery.clusterDesc=A cluster sample.
# specify here the node number that will be the master. By default, the feature
# is supported by a dedicated node but the file is generated in the first cluster
# member. Then it will copy to the master conf dir
discovery.masternode=1

#Master node when the feature is shipped by a dedicated node (default)
master.dir=master
master.nodeName=master

#Db
db.portrange=9001,9002,9003,9004
db.dir=db
db.nodeName=db


#Database
rajdbc.defaultname=hsql

#DB connections

rajdbc.hsql.user=jonas
rajdbc.hsql.password=jonas
rajdbc.hsql.url=jdbc:hsqldb:hsql://localhost:9005/db_jonas
rajdbc.hsql.drivername=org.hsqldb.jdbcDriver
rajdbc.hsql.jndiname=jdbc_1
rajdbc.hsql.jdbcdriverjarfile=none
rajdbc.hsql.mappername=rdb.hsql

rajdbc.postgresql.user=jonas
rajdbc.postgresql.password=jonas
rajdbc.postgresql.url=jdbc:postgresql://localhost:5433/db_jonas
rajdbc.postgresql.drivername=org.postgresql.Driver
rajdbc.postgresql.jndiname=jdbc_1
rajdbc.postgresql.jdbcdriverjarfile=postgresql.jar
rajdbc.postgresql.mappername=rdb.postgresql

rajdbc.oracle.user=jonas
rajdbc.oracle.password=jonas
rajdbc.oracle.url=jdbc:oracle:thin:@localhost:1521:db_jonas
rajdbc.oracle.drivername=oracle.jdbc.driver.OracleDriver
rajdbc.oracle.jndiname=jdbc_1
rajdbc.oracle.jdbcdriverjarfile=ojdbc5.jar
rajdbc.oracle.mappername=rdb.oracle

rajdbc.mysql.user=root
rajdbc.mysql.password=
rajdbc.mysql.url=jdbc:mysql:http://localhost:3306/db_jonas
rajdbc.mysql.drivername=org.gjt.mm.mysql.Driver
rajdbc.mysql.jndiname=jdbc_1
rajdbc.mysql.jdbcdriverjarfile=mysql-connector-java.jar
rajdbc.mysql.mappername=rdb.mysql


#Mail
mail.session.name=mailSession_1
mail.mimepartds.name=mailMimePartDS_1
mail.to=jean.dupont@ow2.org
mail.subject=test mail
mail.host=localhost

#Wsdl
wsdl.file.name=wsdlPublishFile
wsdl.file.dir=/tmp/

# script
script.node.basename=node
